﻿using System;
using System.Configuration;
using System.Data.SqlClient;

namespace ConsoleApplication1
{
    class Program
    {
        static void Main(string[] args)
        {
            string connectionString =
                        ConfigurationManager.ConnectionStrings["TestDB"].ConnectionString;

            using (SqlConnection sqlCon = new SqlConnection(connectionString))
            {
                sqlCon.ConnectionString = connectionString;
                sqlCon.Open();


                {
                    SqlCommand cmd = new SqlCommand();
                    cmd.Connection = sqlCon;
                    cmd.CommandText = "INSERT INTO MemberInfo(Name, Birth, Email, Family) VALUES('Fox', '1970-01-25', 'fox@gmail.com', 5)";
                    int affectedCount = cmd.ExecuteNonQuery();
                    Console.WriteLine(affectedCount); // 출력 결과: 1


                    cmd = new SqlCommand();
                    cmd.Connection = sqlCon;
                    cmd.CommandText = "UPDATE MemberInfo SET Family=3 WHERE Email = 'fox@gmail.com'";
                    cmd.ExecuteNonQuery();

                    cmd = new SqlCommand();
                    cmd.Connection = sqlCon;
                    cmd.CommandText = "DELETE FROM MemberInfo WHERE Email = 'fox@gmail.com'";
                    cmd.ExecuteNonQuery();

                }

                {
                    SqlCommand cmd = new SqlCommand();
                    cmd.Connection = sqlCon;
                    cmd.CommandText = "SELECT COUNT(*) FROM MemberInfo WHERE Family >= 2";
                    object objValue = cmd.ExecuteScalar();

                    int countOfMember = (int)objValue;
                }

                {
                    SqlCommand cmd = new SqlCommand();
                    cmd.Connection = sqlCon;
                    cmd.CommandText = "SELECT * FROM MemberInfo";
                    SqlDataReader reader = cmd.ExecuteReader();

                    while (reader.Read())
                    {
                        Console.WriteLine(reader[0]);
                    }
                }
            }
        }
    }
}
